package de.ivu.elect.presentation.veranstaltung.action;

import java.util.ArrayList;
import java.util.List;

import javax.inject.Inject;
import javax.inject.Named;

import de.ivu.elect.business.person.entity.Personendaten;
import de.ivu.elect.jee.presentation.action.AbstractActionMenuModelBuilder;
import de.ivu.elect.jee.presentation.action.ActionEntry;

@Named(TeilnehmerEinladenActionMenu.COMPONENT_NAME)
public class TeilnehmerEinladenActionMenu extends AbstractActionMenuModelBuilder<Personendaten> {

  public static final String COMPONENT_NAME = "teilnehmerEinladenActionMenu";

  @Inject
  TeilnehmerEinladenAction teilnehmerEinladenAction;

  @Override
  protected List<ActionEntry<Personendaten>> getActionEntriesSorted() {
    List<ActionEntry<Personendaten>> result = new ArrayList<>();
    result.add(teilnehmerEinladenAction);
    return result;
  }

  @Override
  public boolean isProtokollAnzeigen() {
    return false;
  }
}
